
clear

% s parameters at 430089250
s11 = 10^(-1.740211/20) * exp(1i* -166.1289 * pi/180);
s21 = 10^(17.74767/20) * exp(1i* 138.9393 * pi/180);
s12 = 10^(-41.87926/20) * exp(1i* 19.06064 * pi/180);
s22 = 10^(-2.164838/20) * exp(1i* 178.5444 * pi/180);


delta = s11*s22 - s21*s12;
B1 = 1 + abs(s11)^2 - abs(s22)^2 - abs(delta)^2;
B2 = 1 + abs(s22)^2 - abs(s11)^2 - abs(delta)^2;

C1 = s11 - delta*conj(s22);
C2 = s22 - delta*conj(s11);

gamma_s = ( B1 - sqrt(B1^2 - 4*abs(C1)^2) ) / (2*C1)
gamma_l = ( B2 - sqrt(B2^2 - 4*abs(C2)^2) ) / (2*C2)

abs(gamma_s)
%angle(gamma_s)

abs(gamma_l)
%angle(gamma_l)


z_0 = 50;

z_l = z_0 * (1 + conj(gamma_l)) / (1 - conj(gamma_l))
z_s = z_0 * (1 + conj(gamma_s)) / (1 - conj(gamma_s))

%abs(z_l)
%abs(z_s)


%%Z_L

X = -sqrt(real(z_l)*(z_0-real(z_l))) - imag(z_l)
B = -sqrt((z_0-real(z_l))/real(z_l)) / z_0

w = 2*pi*433*10^6;
% if series L (X) followed by shunt C (B) before SMA out
C1 = w/B;
L1 = w/X;

% if series C (X) followed by shunt L (B) before SMA out
C2 = -1/(w*X)
L2 = -1/(w*B)


%%z_s
X = -sqrt(real(z_s)*(z_0-real(z_s))) - imag(z_s)
B = -sqrt((z_0-real(z_s))/real(z_s)) / z_0

% if series L (X) followed by shunt C (B) before in
C1_s = w/B;
L1_s = w/X;

% if series C (X) followed by shunt L (B) before SMA out
C2_s = -1/(w*X)
L2_s = -1/(w*B)




